Bug 206805 - Installation dependencies ppc vs. ppc64 ignored/failing
Installation dependencies ppc vs. ppc64 ignored/failing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-16 17:17 EDT by Jan Kratochvil
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 09:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpmError() patch (untested) (341 bytes, patch)
2006-09-25 09:32 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2006-09-16 17:17:17 EDT
Description of problem:
If I request "yum install pkg.ppc pkg.ppc64" it will install only .ppc.
So far just FYI, it may not be required for a real-world installation case.

Version-Release number of selected component (if applicable):
yum-2.9.6-1.noarch
rpm-4.4.2-32.ppc

How reproducible:
Always.

Steps to Reproduce:
0. alias rpm='rpm --qf "%{name}-%{version}-%{release}.%{arch}\n"'
1. rpm -e libutempter libutempter-devel
2. yum install libutempter-devel.ppc64 libutempter-devel.ppc
3. rpm -qa|grep -i libutempter

Actual results:
libutempter-1.1.4-3.fc6.ppc
libutempter-devel-1.1.4-3.fc6.ppc

Expected results:
libutempter-1.1.4-3.fc6.ppc
libutempter-1.1.4-3.fc6.ppc64
libutempter-devel-1.1.4-3.fc6.ppc
libutempter-devel-1.1.4-3.fc6.ppc64

Additional info:
It will download both .ppc and .ppc64 but it will install only .ppc.

It may get failing on Bug 171970 if it would get fixed (possible Bug dependency).

After the .ppc-only actual state if you do:
  yum install libutempter-devel.ppc64
it will fail to resolve the dependency:
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for libutempter-devel to pack into transaction set.
libutempter-devel-1.1.4-3 100% |=========================| 5.5 kB    00:00     
---> Package libutempter-devel.ppc64 0:1.1.4-3.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libutempter.so.0()(64bit) for package: libutempter-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for libutempter to pack into transaction set.
libutempter-1.1.4-3.fc6.p 100% |=========================| 6.9 kB    00:00     
---> Package libutempter.ppc64 0:1.1.4-3.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libutempter.so.0 for package: libutempter-devel
--> Finished Dependency Resolution
Error: Missing Dependency: libutempter.so.0 is needed by package libutempter-devel
Comment 1 Jeremy Katz 2006-09-18 13:01:54 EDT
What are the contents of /etc/rpm/platform?  And what type of machine are you on?
Comment 2 Jan Kratochvil 2006-09-25 09:32:21 EDT
Created attachment 137051 [details]
rpmError() patch (untested)
Comment 3 Jan Kratochvil 2006-09-25 09:36:29 EDT
"/etc/rpm/platform" was missing there (as it was chroot environment, on
"ppcp-4as.lab.boston.redhat.com").
The contents of "/etc/rpm/platform" is now "ppc64pseries-redhat-linux" and
everything works fine, thanks.

Shouldn't be "/etc/rpm/platform" mandatory nowadays? Suggesting an error/warning
if it is missing.

Note You need to log in before you can comment on or make changes to this bug.